# Changelog

## 1.2.0 - 2023-10-17

### Added

- Support for Nextcloud 26 and 27
- Support for `child-src` CSP rule

### Changed

- Move all settings to modern Nextcloud Vue components
- Upgrade deps
- Update translations

### Removed

- Support for Nextcloud 24 and 25
- Support for PHP 7.4
- Support for `inline-script` CSP rule (removed by Nextcloud itself)

## 1.1.0 - 2022-08-14

### Added

- Support for Nextcloud 24 and 25.
- Re-enabled checkboxes to allow inline and eval scripts ([since upstream issue is fixed](https://github.com/nextcloud/server/pull/32113))

### Removed

- Support for Nextcloud 22 and 23.
- Support for PHP < 7.4

## 1.0.0 - 2021-12-07

### Added

- Support for Nextcloud 22, 23 and 24.

### Changed

- Disabled allowing inline and eval scripts as it doesn't work because [of a core Nextcloud issue](https://github.com/nextcloud/server/issues/25226).

### Removed

- Support for Nextcloud 19, 20 and 21.


## 0.0.1 - 2020-01-08

Initial release
